Skip to content

Alerts History Aggregation.

POST
/api/data/namespaces/{namespace}/alerts/history/aggregation
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/example/alerts/history/aggregation \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "aggs": {}, "end_time": "example", "filter": "example", "namespace": "example", "start_time": "example" }'

GET summary/aggregation data for alerts in the given namespace. For system namespace, all alerts for the tenant matching the query specified in the request will be considered for aggregation.

Examples of this operation.

namespace
required
string

Namespace namespace to scope the listing of alerts. For “system” namespace, all alerts for the tenant will be returned.

Media typeapplication/json
Alerts History Aggregation Request

Request to GET only aggregation data for alerts.

object
aggs
aggregations

Aggregations provide summary/analytics data over the alert response. If the number of alerts that matched the query is large and cannot be returned in a single response message, user can GET helpful insights/summary using aggregations. The aggregations are key’ed by user-defined aggregation name. The response will be key’ed with the same name. Optional.

object
end_time
end_time

Fetch alerts whose timestamp <= end_time format: unix_timestamp|RFC 3339

Optional: If not specified, then the end_time will be evaluated to start_time+10m If start_time is not specified, then the end_time will be evaluated to

string
<= 1024 characters
filter
filter

List of matchers to filter alert by. Syntax for filter := {[]} := <label_name>“<label_value>” <label_name> := string All alerts have the following default labels: “alertname”, “identifier”, “group”, “severity” <label_value> := string := [”=”|”!=”|”=”|”!”] = : Select labels that are exactly equal to the provided string != : Select labels that are not equal to the provided string. When more than one matcher is specified in the filter, then alerts matching ALL the matchers will be returned.

Optional: If not specified, then all the alerts for the tenant and namespace specified in the request will be returned.

string
<= 1024 characters
namespace
namespace

Namespace to scope the listing of alerts. For “system” namespace, all alerts for the tenant will be returned.

string
>= 6 characters <= 1024 characters
start_time
start_time

Fetch alerts whose timestamp >= start_time format: unix_timestamp|RFC 3339

Optional: If not specified, then the start_time will be evaluated to end_time-10m If end_time is not specified, then the start_time will be evaluated to -10m.

string
<= 1024 characters
Examplegenerated
{
"aggs": {},
"end_time": "example",
"filter": "example",
"namespace": "example",
"start_time": "example"
}

A successful response.

Media typeapplication/json
Alerts History Aggregation Response

Response message for AlertsHistoryAggregationRequest.

object
aggs
aggregations

Aggregations provide summary/analytics data over the alerts response. If the number of alerts that matched the query is large and cannot be returned in a single response message, user can GET helpful insights/summary using aggregations. The aggregation data is key’ed with the aggregation name specified in the request.

object
total_hits
total hits

Total number of alerts that matched the query.

string format: uint64
<= 1024 characters
Examplegenerated
{
"aggs": {},
"total_hits": "example"
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example